$tile-size: 150px;
$forest-color: #218838;
$mountains-color: #666666;
$plains-color: #ffc107;

#page-content {
  padding-top: 3%;
}

#board {
  min-width: calc(#{$tile-size} * 4);
  min-height: calc(#{$tile-size} * 4);
  width: 100%;
  margin-bottom: 0;
  padding-bottom: 0;
  padding-top: 0;
  margin-top: 0;
  .tile {
    background-color: black;
    color: #666666;
    border-style: solid;
    border-color: black;
    border-width: 2px;
    width: $tile-size;
    height: $tile-size;
    text-align: center;
    font-size: 2rem;
    position: relative;
    .building-symbol, .empty-symbol {
      position: absolute;
      left: 50%;
      bottom: 50%;
      transform: translate(-50%, 50%);
      &:hover {
        cursor: pointer;
      }
    }
    .building-symbol {
      font-size: 4rem;
    }
    .building-title {
      position: absolute;
      bottom: 5px;
      left: 50%;
      transform: translate(-50%, 0);
      font-size: 1rem;
    }
  }
  div.forest {
    background-color: $forest-color;
    color: black;
  }
  div.mountains {
    background-color: $mountains-color;
    color: black;
  }
  div.plains {
    background-color: $plains-color;
    color: black;
  }
  .active {
    color: white;
  }
}

.active-game {
  background-color: mediumblue;
}

.abort-button {
  margin-top: 1%;
}

.pop-menu {
  position: absolute;
  z-index: 1070;
  width: 22rem;
  div {
    button {
      width: 9rem;
    }
  }
  .forest {
    border-color: $forest-color;
  }
  .mountains {
    border-color: $mountains-color;
  }
  .plains {
    border-color: $plains-color;
  }
}
.menu-up {
  transform: translateY(-90%);
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  background: rgba(40, 40, 40, 0.5);
  i {
    font-size: 10rem;
    color: white;
    position: absolute;
    top: calc(50% - 5rem)
  }
}

.status-bar {
  background-color: white;
  margin-bottom: 2%;
  border: 2px solid #333;
  border-bottom-right-radius: 35px 15px;
  border-bottom-left-radius: 120px 25px;
  font-size: 1rem;
  .col-md-7 {
    font-size: 2rem;
    padding: 8px;
    .progress {
      height: 2rem;
      font-size: 1.5rem;
    }
  }
}

.active-progress-bar {
  -webkit-transition: none !important;
  transition: none !important;
}

.resource-bar {
  background-color: white;
  margin-top: 2%;
  border: 2px solid #333;
  border-top-right-radius: 35px 15px;
  border-top-left-radius: 35px 25px;
  div {
    text-align: center;
  }
}